# provided by Daniel Baldwin

nums = (1..100)

#iterate through the nums 1-100
nums.each do |i|

	start_time = Time.now
	string = "a" * i

	#create a new regular expression based on current value of i
	re = Regexp.new(/((a?){#{i}})(a{#{i}})/)

        re.match(string)
	#if re.match(string)
	#	puts "matched string  a * #{i} with regex #{re}"
	#else
	#	puts "unmatched string a * #{i} with regex #{re}"
	#end
	
  puts "#{i} %.5f" % (Time.now - start_time)
end
